Uses of Interface
org.apache.camel.builder.endpoint.dsl.GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder
Packages that use GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder
-
Uses of GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder in org.apache.camel.builder.endpoint.dsl
Subinterfaces of GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder in org.apache.camel.builder.endpoint.dslModifier and TypeInterfaceDescriptionstatic interfaceBuilder for endpoint for the MongoDB GridFS component.Methods in org.apache.camel.builder.endpoint.dsl that return GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilderModifier and TypeMethodDescriptionGridFsEndpointBuilderFactory.AdvancedGridFsEndpointConsumerBuilder.basic()Sets the name of the GridFS bucket within the database.Sets the name of the MongoDB database to target.GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder.delay(long delay) Sets the delay between polls within the Consumer.Sets the delay between polls within the Consumer.GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder.fileAttributeName(String fileAttributeName) If the QueryType uses a FileAttribute, this sets the name of the attribute that is used.GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder.initialDelay(long initialDelay) Sets the initialDelay before the consumer will start polling.GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder.initialDelay(String initialDelay) Sets the initialDelay before the consumer will start polling.GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder.persistentTSCollection(String persistentTSCollection) If the QueryType uses a persistent timestamp, this sets the name of the collection within the DB to store the timestamp.GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder.persistentTSObject(String persistentTSObject) If the QueryType uses a persistent timestamp, this is the ID of the object in the collection to store the timestamp.Additional query parameters (in JSON) that are used to configure the query used for finding files in the GridFsConsumer.GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder.queryStrategy(String queryStrategy) Sets the QueryStrategy that is used for polling for new files.GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder.queryStrategy(org.apache.camel.component.mongodb.gridfs.QueryStrategy queryStrategy) Sets the QueryStrategy that is used for polling for new files.GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder.readPreference(com.mongodb.ReadPreference readPreference) Sets a MongoDB ReadPreference on the Mongo connection.GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder.readPreference(String readPreference) Sets a MongoDB ReadPreference on the Mongo connection.GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder.writeConcern(com.mongodb.WriteConcern writeConcern) Set the WriteConcern for write operations on MongoDB using the standard ones.GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder.writeConcern(String writeConcern) Set the WriteConcern for write operations on MongoDB using the standard ones.